### R code from vignette source 'nkiBRCA.Rnw'

###################################################
### code chunk number 1: nkiBRCA.Rnw:16-17
###################################################
library(nkiBRCA)


###################################################
### code chunk number 2: nkiBRCA.Rnw:40-44
###################################################
head(b1.191.ct[,1:8])

identical(b1.191.ct[,1:8], b1.371.ct[,1:8])
identical(b1.191.ct[,1:8], b2.704.ct[,1:8])


###################################################
### code chunk number 3: nkiBRCA.Rnw:109-112
###################################################
head(b1.191.ct[,-1:-8])
head (b1.371.ct[,-1:-8])
head (b2.704.ct[,-1:-8])


###################################################
### code chunk number 4: nkiBRCA.Rnw:130-133
###################################################
sum((b1.191.ct$shrunken.centroid.BRCA1.like - b1.191.ct$shrunken.centroid.sporadic)!=0)
sum((b1.371.ct$shrunken.centroid.BRCA1.like - b1.371.ct$shrunken.centroid.sporadic)!=0)
sum((b2.704.ct$shrunken.centroid.BRCA2.like - b2.704.ct$shrunken.centroid.sporadic)!=0)


###################################################
### code chunk number 5: nkiBRCA.Rnw:143-147
###################################################
plot((b1.191.ct$shrunken.centroid.BRCA1.like - b1.191.ct$shrunken.centroid.sporadic),
  type='l', col='steelblue', ylab='log ratio', xlab='genomic position', main='BRCA1 191 classifier')
abline(v=cumsum(table(b1.191.ct$chrom)),h=0)
text(x=cumsum(table(b1.191.ct$chrom))+20, y = rep( -0.05,24), labels=c(1:22,'X','Y'))


###################################################
### code chunk number 6: nkiBRCA.Rnw:150-154
###################################################
plot((b1.371.ct$shrunken.centroid.BRCA1.like - b1.371.ct$shrunken.centroid.sporadic),
  type='l', col='steelblue', ylab='log ratio', xlab='genomic position', main='BRCA1 371 classifier')
abline(v=cumsum(table(b1.371.ct$chrom)),h=0)
text(x=cumsum(table(b1.371.ct$chrom))+20, y = rep( -0.05,24), labels=c(1:22,'X','Y'))


###################################################
### code chunk number 7: nkiBRCA.Rnw:157-161
###################################################
plot((b2.704.ct$shrunken.centroid.BRCA2.like - b2.704.ct$shrunken.centroid.sporadic),
  type='l', col='steelblue', ylab='log ratio', xlab='genomic position', main='BRCA2 704 classifier')
abline(v=cumsum(table(b2.704.ct$chrom)),h=0)
text(x=cumsum(table(b2.704.ct$chrom))+20, y = rep( -0.15,24), labels=c(1:22,'X','Y'))


###################################################
### code chunk number 8: nkiBRCA.Rnw:173-175
###################################################
head(example.ratios)
head(example.segments)


###################################################
### code chunk number 9: nkiBRCA.Rnw:181-189
###################################################
 plot(example.ratios$example1,
  type='l', col='black', ylab='log ratio', xlab='genomic position',
  main="Example 1 log ratios and segmented log ratios", ylim=c(-2,4))
 lines(example.segments$example1, col='red',cex=3)
 abline(v=cumsum(table(b1.191.ct$chrom)))
 text(x=cumsum(table(b1.191.ct$chrom))+20, y = rep(0.2,24), labels=c(1:22,'X','Y'))
 legend('topright', fill=c('black', 'red'), legend = c('log ratio',
  'segmented log ratio'))


###################################################
### code chunk number 10: nkiBRCA.Rnw:195-203
###################################################
b1191(example.ratios[,3])
b1191(example.ratios[,3]) > 0.5

b1371(example.ratios[,3])
b1371(example.ratios[,3]) > 0.63

apply(example.ratios[,-1:-2], 2, b1191)
apply(example.ratios[,-1:-2], 2, b1191) > 0.5


###################################################
### code chunk number 11: nkiBRCA.Rnw:210-212
###################################################
b2704(example.segments[,3])
b2704(example.segments[,3]) > 0.5


