\name{b1191}
\alias{b1191}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function for BRCA1 cassification with 191 probe classifier
}
\description{
Classify a sample with the 191 probe BRCA1-like classifier as described in 
Joosse et al Breast Cancer Res & Treat 2009.
}
\usage{
b1191(x, b1.191.data= b1.191.ct)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
vector of 3277 unsegmented log ratios for classification
}
  \item{b1.191.data}{
the dataset to load the parameters of the model from 
}
  \item{b1.191.ct}{
the dataset b1.191.ct, which is automatically loaded. 
}
}

\value{
The function outputs the discriminant score of  the shrunken centroids
classification. The cutoff is 0.5 for this classifier, with discriminant scores 
> 0.5 being BRCA1-like
}
\references{
Joosse et al Breast Cancer Res & Treat 2009.
}

\examples{
smp.mat <- example.ratios[,-1:-2]
# classify one sample:
b1191(smp.mat[,1])
# classify multiple samples:
apply(smp.mat, 2, b1191)



## The function is currently defined as
function (x, b1.191.ct) 
{
    b1 <- b1.191.ct
    clsf(x, b1$shrunken.centroid.BRCA1.like, b1$shrunken.centroid.sporadic, 
        b1$s0[1], b1$si, b1$prior[1])
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ BRCA1 }
\keyword{ Classification }% __ONLY ONE__ keyword per line
\keyword{ Shrunken centroid }