\name{b2704}
\alias{b2704}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function for BRCA2 cassification with 704 probe classifier
}
\description{
Classify a sample with the 191 probe BRCA1-like classifier as described in 
Joosse et al, Breast Cancer Res & Treat 2012.
}
\usage{
b2704(x, b2.704.data=b2.704.ct)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
vector of 3277 segmented log ratios for classification
}
  \item{b2.704.data}{
the dataset to load the parameters of the model from 
}
  \item{b2.704.ct}{
the dataset b2.704.ct, which is automatically loaded. 
}
}

\value{
The function outputs the discriminant score of  the shrunken centroids
classification. The cutoff is 0.5 for this classifier, with discriminant scores 
> 0.5 being BRCA2-like
}
\references{
Joosse et al, Breast Cancer Res & Treat 2012.
}

\examples{
smp.mat <- example.segments[,-1:-2] 
# classify one sample:
b2704(smp.mat[,1])
# classify multiple samples:
apply(smp.mat, 2, b2704)

## The function is currently defined as
function (x, b2.704.ct) 
{
    b2 <- b2.704.ct
    clsf(x, b2$shrunken.centroid.BRCA2.like, b2$shrunken.centroid.sporadic, 
        b2$s0[1], b2$si, b2$prior[1])
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ BRCA2 }
\keyword{ Classification }% __ONLY ONE__ keyword per line
\keyword{ Shrunken centroid }