\name{clsf}
\alias{clsf}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Generic function for BRCA cassification 
}
\description{
Classify a sample with shrunken centroids classification according to
Tibshirani, PNAS 2002
}
\usage{
clsf(test.sample, b.ct, sp.ct, s0, si, prior)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{test.sample}{
measurements of the features.
}
  \item{b.ct}{
centroid of class 1
}
  \item{sp.ct}{
centroid of class 2
}
  \item{s0}{
s0 from the formula
}
  \item{si}{
si from the formula
}
  \item{prior}{
prior probability of the classes.
}
}

\value{
Discriminant score of shrunken centroid classification.
}
\references{
Tibshirani et al. PNAS 2002
}
\examples{
## The function is currently defined as
function (test.sample, b.ct, sp.ct, s0, si, prior) 
{
    used <- b.ct - sp.ct != 0
    b.dk <- sum(((test.sample[used] - (b.ct[used]))^2)/(si[used] + 
        s0)^2) - 2 * log2(prior)
    sp.dk <- sum(((test.sample[used] - (sp.ct[used]))^2)/(si[used] + 
        s0)^2) - 2 * log2(prior)
    b.pr <- exp(-0.5 * b.dk)/(exp(-0.5 * b.dk) + (exp(-0.5 * 
        sp.dk)))
    sp.pr <- 1 - b.pr
    return(b.pr)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Shrunken Centroids }
\keyword{ Classification }% __ONLY ONE__ keyword per line
