\name{nkiBRCA-package}
\alias{nkiBRCA-package}
\alias{nkiBRCA}
\docType{package}
\title{
\packageTitle{nkiBRCA}
}
\description{     
\packageDescription{nkiBRCA}
}
\details{

The DESCRIPTION file:
\packageDESCRIPTION{nkiBRCA}
\packageIndices{nkiBRCA}
 
  BRCA1 and -2-like breast cancer shrunken centroid classifiers that were developed at The 
  Netherlands Cancer Institute. These classifiers classify breast cancer array CGH,
  SNP array and next generation sequencing copy number data to be respectively BRCA1-like 
  or non-BRCA1-like and BRCA2-like or non-BRCA2-like. The input is a vector of length 3277 providing
  log ratios at the genomic positions of the array that the classifier was built
  on. By inputting a vector a single sample can be classified. By using apply
  a matrix with samples can be classified. The descriptions of the array platform
  and example data are provided. See the help function for descriptions of the files and 
  example code.  

}
\author{
\packageAuthor{nkiBRCA}

Maintainer: \packageMaintainer{nkiBRCA}
}
\references{
Tibshirani et al., PNAS 2002,
Joosse et al., Breast Cancer Res & Treat 2009,
Joosse et al., Breast Cancer Res & Treat 2012,
Vollebergh et al., Ann Oncol 2011, 
Vollebergh et al., Breast Cancer Res 2015,
Schouten et al., Breast Cancer Res Treat, 2013,
Schouten et al., Mol Oncol, 2015.
}
\keyword{ 
BRCA1
BRCA2
Classification
Shrunken centroid 
}
\seealso{
pamr
cghseg
}

\examples{
library('nkiBRCA')

# BRCA1-like classification according to Joosse et al. Breast Cancer Res & Treat 2009:

# the platform description and trained parameters of the model:
head(b1.191.ct)

# example data:
smp.ratios <- example.ratios[,-1:-2]
smp.segments <- example.segments[,-1:-2]

# classify one sample:
b1191(smp.ratios[,1]) > 0.5
b1371(smp.ratios[,1]) > 0.5
b2704(smp.segments[,1]) > 0.63

# classify multiple samples:
apply(smp.ratios,2,b1191) > 0.5
}
