\name{b1.371.ct}
\alias{b1.371.ct}
\docType{data}
\title{
Data for BRCA1 cassification with 371 probe classifier
}
\description{
Platform and model settings for the 371 probe BRCA1 classifier as described in 
Vollebergh et al, Ann Oncol 2011.
}
\usage{data("b1.371.ct")}
\format{
  A data frame with 3277 observations on the following 14 variables.
  \describe{
    \item{\code{Order}}{a numeric vector}
    \item{\code{Clone}}{a factor with levels \code{1129-C9} \code{189-N21} \code{84-C11} \code{CTA-125H2} \code{CTA-150C2} \code{CTA-212A2} \code{CTA-221G9} \code{CTA-221H1} \code{CTA-228A9} \code{CTA-229A8} \code{CTA-250D10} \code{CTA-268H5} \code{CTA-299D3} \code{CTA-29F11} \code{CTA-390B3} \code{CTA-397C4} \code{CTA-415G2} \code{CTA-445C9} \code{CTA-57G9} \code{CTA-722E9} \code{CTA-799F10} \code{CTB-1011K1} \code{CTB-1013H5} \code{CTB-1013N12} \code{CTB-1025J19} \code{CTB-104P14} \code{CTB-1058E17} \code{CTB-107A22} \code{CTB-1114A6} \code{CTB-1137N13} \code{CTB-1187M2} \code{CTB-120L21} \code{CTB-133C10} \code{CTB-137O22} \code{CTB-14D10} \code{CTB-164I22} \code{CTB-176I15} \code{CTB-180C19} \code{CTB-184C17} \code{CTB-186G2} \code{CTB-187L3} \code{CTB-28J9} \code{CTB-31C16} \code{CTB-3C20} \code{CTB-46B19} \code{CTB-49A3} \code{CTB49g22} \code{CTB-54G2} \code{CTB-54I1} \code{CTB-55A14} \code{CTB-73D21} \code{CTB-87L24} \code{CTC-1277H1} \code{CTC-1347N9} \code{CTC-1499I20} \code{CTC-1554D6} \code{CTC-209K13} \code{CTC-246B18} \code{CTC-250I14} \code{CTC-251H24} \code{CTC-260F20} \code{CTC-263A14} \code{CTC-279E3} \code{CTC-307M15} \code{CTC-320C6} \code{CTC-325L16} \code{CTC-329H14} \code{CTC-352M6} \code{CTC-355H1} \code{CTC-359D24} \code{CTC-366N20} \code{CTC-370H24} \code{CTC-416D1} \code{CTC-425H14} \code{CTC-431G16} \code{CTC-435M10} \code{CTC-444D3} \code{CTC-444N24} \code{CTC-451A6} \code{CTC-453E13} \code{CTC-459F4} \code{CTC-461G12} \code{CTC-471F3} \code{CTC-480C2} \code{CTC-482H14} \code{CTC-483I11} \code{CTC-490G23} \code{CTC-533D18} \code{CTC-534K6} \code{CTC-536A23} \code{CTC-539A10} \code{CTC-564E20} \code{CTD-2001J20} \code{CTD-2007F2} \code{CTD-2011L22} \code{CTD-2022G9} \code{CTD-2033D15} \code{CTD-2043I16} \code{CTD-2052F19} \code{CTD-2057D4} \code{CTD-2068C11} \code{CTD-2081K17} \code{CTD-2115H11} \code{CTD-2185H17} \code{CTD-2200O3} \code{CTD-2219P12} \code{CTD-2231E14} \code{CTD-2265D9} \code{CTD-2267H19} \code{CTD-2274H20} \code{CTD-2276O24} \code{CTD-2291F22} \code{CTD-2323H12} \code{CTD-2324F15} \code{CTD-2332E11} \code{CTD-2332G20} \code{CTD-2337J16} \code{CTD-2346M20} \code{CTD-2504F3} \code{CTD-2515A14} \code{CTD-2525J15} \code{CTD-2527I21} \code{CTD-2545M3} \code{CTD-2547N9} \code{CTD-2579N5} \code{CTD-2583G20} \code{CTD-2623N2} \code{CTD-2629I16} \code{CTD-2639E6} \code{CTD-2659N19} \code{CTD-3113P16} \code{CTD-3138B18} \code{CTD-3149D2} \code{CTD-3245B9} \code{F21283} \code{GS-1011-O17} \code{GS-1061-L1} \code{GS-112-N13} \code{GS-1186-B18} \code{GS-118-B13} \code{GS-121-L4} \code{GS-124-5} \code{GS-124-K20} \code{GS-135-I17} \code{GS-137-E24} \code{GS-154-P1} \code{GS-160-H23} \code{GS-163-C9} \code{GS-164-D18} \code{GS-167-K11} \code{GS1-756B1} \code{GS1-91O18} \code{GS-191-P24} \code{GS-196-F4} \code{GS-196-I5} \code{GS-1-L16} \code{GS-200-D12} \code{GS-202-L17} \code{GS-221-K18} \code{GS-225-F6} \code{GS-232-B23} \code{GS-23-B11} \code{GS-240-G13} \code{GS-24-H17} \code{GS-261-B16} \code{GS-261-I1} \code{GS-26-N8} \code{GS-2-H14} \code{GS-3018-K1} \code{GS-306-F7} \code{GS-31-J3} \code{GS-325-I23} \code{GS-362-K4} \code{GS-36-P21} \code{GS-3-K23} \code{GS-43-N6} \code{GS-44-H18} \code{GS-489-D14} \code{GS-496-A11} \code{GS-50-C4} \code{GS-52-M11} \code{GS-546-C11} \code{GS-56-H22} \code{GS-57-H24} \code{GS-580-L5} \code{GS-62-L11} \code{GS-62-L8} \code{GS-63-H24} \code{GS-68-F18} \code{GS-74-G18} \code{GS-75-F20} \code{GS-770-G7} \code{GS-77-L23} \code{GS-81-F12} \code{GS-820-M16} \code{GS-82-O2} \code{GS-839-D20} \code{GS-892-G20} \code{GS-8-L3} \code{GS-8-M16} \code{GS-908-H22} \code{GS-963-K6} \code{GS-964-M9} \code{GS-98-C4} \code{GS-99-K24} \code{LL22NC01-132D12} \code{LL22NC01-95B1} \code{LL22NC03-10C3} \code{LL22NC03-75H12} \code{LL22NC03-95F10} \code{RG-129-F16} \code{RG-172-I13} \code{RG-191-K2} \code{RG-228-K22} \code{RG-41-L13} \code{RP1-105K17} \code{RP1-108M6} \code{RP11-100A11} \code{RP11-100C9} \code{RP11-100E13} \code{RP11-100E23} \code{RP11-100E6} \code{RP11-100N20} \code{RP11-100N21} \code{RP11-100N3} \code{RP11-100P11} \code{RP11-101A9} \code{RP11-101E7} \code{RP11-101K10} \code{RP11-101K2} \code{RP11-101N13} \code{RP11-1021H16} \code{RP11-102A1} \code{RP11-102E10} \code{RP11-102G17} \code{RP11-102P23} \code{RP11-103J17} \code{RP11-103N21} \code{RP11-104I20} \code{RP11-104O19} \code{RP11-104O6} \code{RP11-105B19} \code{RP11-105C19} \code{RP11-105C20} \code{RP11-105D1} \code{RP11-105I12} \code{RP11-105K13} \code{RP11-105K20} \code{RP11-105N14} \code{RP11-106A1} \code{RP11-106F1} \code{RP11-106G13} \code{RP11-106G15} \code{RP11-106J7} \code{RP11-106O22} \code{RP11-107G7} \code{RP11-107J18} \code{RP11-107K17} \code{RP11-107P10} \code{RP11-108A8} \code{RP11-108B14} \code{RP11-108G3} \code{RP11-108L12} \code{RP11-108M12} \code{RP11-108M21} \code{RP11-108O10} \code{RP11-109D9} \code{RP11-109E24} \code{RP11-109F18} \code{RP11-109F19} \code{RP11-109M15} \code{RP11-10E21} \code{RP11-10E6} \code{RP11-10F11} \code{RP11-10G10} \code{RP11-10G12} \code{RP11-10H6} \code{RP11-10L11} \code{RP11-10M21} \code{RP11-10M8} \code{RP11-10N17} \code{RP11-110C15} \code{RP11-110C16} \code{RP11-110G2} \code{RP11-110J12} \code{RP11-110K8} \code{RP11-111D8} \code{RP11-111F10} \code{RP11-111G20} \code{RP11-111G7} \code{RP11-111I9} \code{RP11-111J6} \code{RP11-111N8} \code{RP11-111P21} \code{RP11-112J1} \code{RP11-112J3} \code{RP11-112J9} \code{RP11-112N23} \code{RP11-1136G11} \code{RP11-113A6} \code{RP11-113D13} \code{RP11-113D19} \code{RP11-113E21} \code{RP11-113F1} \code{RP11-113G13} \code{RP11-113K21} \code{RP11-113O24} \code{RP11-114B7} \code{RP11-114F20} \code{RP11-114H21} \code{RP11-114H7} \code{RP11-114I8} \code{RP11-114K7} \code{RP11-114L8} \code{RP11-114M17} \code{RP11-114M5} \code{RP11-114N19} \code{RP11-114O8} \code{RP11-115B22} \code{RP11-115D19} \code{RP11-115D4} \code{RP11-115F18} \code{RP11-115G12} \code{RP11-115H13} \code{RP11-115H23} \code{RP11-115I6} \code{RP11-115M13} \code{RP11-115M9} \code{RP11-115N13} \code{RP11-115N19} \code{RP11-115N5} \code{RP11-115P8} \code{RP11-116K4} \code{RP11-117D22} \code{RP11-117I13} \code{RP11-117J13} \code{RP11-117L15} \code{RP11-117M4} \code{RP11-118B23} \code{RP11-118F16} \code{RP11-118G19} \code{RP11-118I2} \code{RP11-118K6} \code{RP11-118L16} \code{RP11-118O11} \code{RP11-119E13} \code{RP11-119J20} \code{RP11-11A18} \code{RP11-11C16} \code{RP11-11C20} \code{RP1-111D6} \code{RP11-11F23} \code{RP11-11G4} \code{RP11-11J1} \code{RP11-11L10} \code{RP11-11L6} \code{RP11-11M4} \code{RP11-11N15} \code{RP11-11N16} \code{RP11-11N6} \code{RP11-11N9} \code{RP11-11O12} \code{RP11-11P11} \code{RP11-120C2} \code{RP11-120E20} \code{RP11-120I18} \code{RP11-120I21} \code{RP11-120L14} \code{RP11-121A13} \code{RP11-121C1} \code{RP11-121C18} \code{RP11-121L11} \code{RP11-122B24} \code{RP11-122C9} \code{RP11-122d19} \code{RP11-122D19} \code{RP11-122K13} \code{RP11-122K22} \code{RP11-122N14} \code{RP11-122O1} \code{RP11-123C5} \code{RP11-123G24} \code{RP11-123I8} \code{RP11-123J20} \code{RP11-123M6} \code{RP11-124O11} \code{RP11-125A7} \code{RP11-125F12} \code{RP11-125H8} \code{RP11-125I23} \code{RP11-125K10} \code{RP11-125K7} \code{RP11-125M15} \code{RP11-126C19} \code{RP11-126P21} \code{RP11-127A24} \code{RP11-127A9} \code{RP11-127B1} \code{RP11-127I20} \code{RP11-127J8} \code{RP11-128A6} \code{RP11-128B16} \code{RP11-128G13} \code{RP11-129J10} \code{RP11-129J11} \code{RP11-129K12} \code{RP11-129M14} \code{RP11-129O7} \code{RP11-12A13} \code{RP11-12C11} \code{RP11-12D3} \code{RP11-12H18} \code{RP11-12J13} \code{RP11-12J3} \code{RP11-12J5} \code{RP11-12K13} \code{RP11-12L20} \code{RP11-12M21} \code{RP11-12M5} \code{RP11-12M9} \code{RP11-131F1} \code{RP11-131I21} \code{RP11-131J4} \code{RP11-131P10} \code{RP11-132E11} \code{RP11-132E3} \code{RP11-132G19} \code{RP11-132H1} \code{RP11-132J20} \code{RP11-132L11} \code{RP11-133L19} \code{RP11-134C18} \code{RP11-134J10} \code{RP11-135M12} \code{RP11-135N5} \code{RP11-136I14} \code{RP11-136K18} \code{RP11-137A12} \code{RP11-137L15} \code{RP11-137O10} \code{RP11-137O6} \code{RP11-137P5} \code{RP11-138H18} \code{RP11-138J2} \code{RP11-138N3} \code{RP11-138P22} \code{RP11-139J6} \code{RP11-139K6} \code{RP11-13A12} \code{RP11-13A2} \code{RP11-13C13} \code{RP11-13C3} \code{RP11-13E1} \code{RP11-13F20} \code{RP11-13H10} \code{RP11-13J16} \code{RP11-13J19} \code{RP11-13J8} \code{RP11-13K8} \code{RP11-13N11} \code{RP11-13O24} \code{RP11-13P5} \code{RP11-140C4} \code{RP11-140H23} \code{RP11-140I16} \code{RP11-140M23} \code{RP11-141D15} \code{RP11-141F2} \code{RP11-141H20} \code{RP11-141I1} \code{RP11-141J10} \code{RP11-141M1} \code{RP11-141M24} \code{RP11-142A12} \code{RP11-142G8} \code{RP11-142I2} \code{RP11-142L4} \code{RP11-142O6} \code{RP11-143E21} \code{RP11-143H12} \code{RP11-143H20} \code{RP11-144B2} \code{RP11-144C18} \code{RP11-144K9} \code{RP11-144O23} \code{RP11-145F16} \code{RP11-146G7} \code{RP11-146P11} \code{RP11-147B17} \code{RP11-147G6} \code{RP11-147I11} \code{RP11-147K16} \code{RP11-147L13} \code{RP11-148A10} \code{RP11-148F10} \code{RP11-148F12} \code{RP11-148K14} \code{RP11-148L24} \code{RP11-149A7} \code{RP11-149G17} \code{RP11-149I2} \code{RP11-149O3} \code{RP11-149P12} \code{RP11-14C22} \code{RP11-14L4} \code{RP11-14O19} \code{RP11-150A6} \code{RP11-150C16} \code{RP11-150P21} \code{RP11-151A10} \code{RP11-151N12} \code{RP11-151N17} \code{RP11-152A18} \code{RP11-152F13} \code{RP11-152H18} \code{RP11-152M20} \code{RP11-152N21} \code{RP11-152O18} \code{RP11-152P23} \code{RP11-153B10} \code{RP11-153F6} \code{RP11-153M24} \code{RP11-153O16} \code{RP11-153P4} \code{RP11-154D3} \code{RP11-154H12} \code{RP11-154H23} \code{RP11-154J22} \code{RP11-154P11} \code{RP11-155C2} \code{RP11-155F20} \code{RP11-155G7} \code{RP11-156A14} \code{RP11-156E6} \code{RP11-156L14} \code{RP11-157C8} \code{RP11-157E8} \code{RP11-157H19} \code{RP11-158G19} \code{RP11-158L8} \code{RP11-159L20} \code{RP11-159L8} \code{RP11-15A1} \code{RP11-15A14} \code{RP11-15E1} \code{RP11-15G16} \code{RP11-15G6} \code{RP11-15H23} \code{RP11-15H6} \code{RP11-15H7} \code{RP11-15J24} \code{RP1-115K14} \code{RP11-15K3} \code{RP11-15L18} \code{RP11-15N12} \code{RP11-15O17} \code{RP11-15P13} \code{RP11-160a13} \code{RP11-160A13} \code{RP11-160D19} \code{RP11-161I2} \code{RP11-161L14} \code{RP11-161M6} \code{RP11-162E8} \code{RP11-162K11} \code{RP11-162O6} \code{RP11-162P23} \code{RP11-163D23} \code{RP11-163F15} \code{RP11-163G14} \code{RP11-163H6} \code{RP11-163I22} \code{RP11-163K24} \code{RP11-163L4} \code{RP11-164E1} \code{RP11-164G17} \code{RP11-164H13} \code{RP11-164I17} \code{RP11-164J13} \code{RP11-164K24} \code{RP11-164L18} \code{RP11-164M8} \code{RP11-164P12} \code{RP11-165B13} \code{RP11-165B2} \code{RP11-165F1} \code{RP11-165M11} \code{RP11-165M2} \code{RP11-165M8} \code{RP11-165O3} \code{RP11-165P4} \code{RP11-165P9} \code{RP11-166B18} \code{RP11-166D19} \code{RP11-166M16} \code{RP11-167B4} \code{RP11-167E7} \code{RP11-167F22} \code{RP11-167K17} \code{RP11-167N19} \code{RP11-167P11} \code{RP11-168C9} \code{RP11-168D12} \code{RP11-168E17} \code{RP11-168G16} \code{RP11-168K7} \code{RP11-168K9} \code{RP11-168L7} \code{RP11-168P13} \code{RP11-169D1} \code{RP11-169F17} \code{RP11-169J21} \code{RP11-169L20} \code{RP11-169M2} \code{RP11-169N13} \code{RP11-16A6} \code{RP11-16B11} \code{RP11-16D24} \code{RP11-16E8} \code{RP11-16G11} \code{RP11-16G16} \code{RP11-16H11} \code{RP11-16I17} \code{RP11-16K5} \code{RP11-16L7} \code{RP11-16M12} \code{RP11-16N2} \code{RP11-16O1} \code{RP11-16P8} \code{RP11-170K19} \code{RP11-170P5} \code{RP11-171G2} \code{RP11-171N4} \code{RP11-172B9} \code{RP11-172F7} \code{RP11-172I6} \code{RP11-172M18} \code{RP11-172N20} \code{RP11-172O13} \code{RP11-173A8} \code{RP11-173C1} \code{RP11-173D14} \code{RP11-173E19} \code{RP11-174B19} \code{RP11-174B22} \code{RP11-174B4} \code{RP11-174G17} \code{RP11-174I10} \code{RP11-174I12} \code{RP11-174I14} \code{RP11-174K23} \code{RP11-175A4} \code{RP11-175E13} \code{RP11-175G14} \code{RP11-175P11} \code{RP11-175P8} \code{RP11-176H12} \code{RP11-176J16} \code{RP11-176J5} \code{RP11-176K15} \code{RP11-176L20} \code{RP11-176L21} \code{RP11-177H13} \code{RP11-177H2} \code{RP11-178A2} \code{RP11-178C3} \code{RP11-178D12} \code{RP11-178F10} \code{RP11-178H12} \code{RP11-178k17} \code{RP11-178K17} \code{RP11-179A16} \code{RP11-179B11} \code{RP11-179B7} \code{RP11-179H3} \code{RP11-179O11} \code{RP11-17C2} \code{RP11-17C4} \code{RP11-17E16} \code{RP11-17E4} \code{RP11-17H6} \code{RP11-17I10} \code{RP11-17J14} \code{RP11-17J3} \code{RP11-17L14} \code{RP11-17L5} \code{RP11-17L8} \code{RP1-117N3} \code{RP11-17P8} \code{RP11-180L13} \code{RP11-180N14} \code{RP11-181K12} \code{RP11-181K3} \code{RP11-181L23} \code{RP11-182E14} \code{RP11-182H20} \code{RP11-182I23} \code{RP11-183D3} \code{RP11-183E24} \code{RP11-183H16} \code{RP11-183M3} \code{RP11-183N22} \code{RP11-184I16} \code{RP11-184L18} \code{RP11-185C18} \code{RP11-185E13} \code{RP11-185P18} \code{RP11-186B7} \code{RP11-187E13} \code{RP11-187K14} \code{RP11-187L3} \code{RP11-187P2} \code{RP11-188I6} \code{RP11-188P8} \code{RP11-189D22} \code{RP11-189H19} \code{RP11-189M8} \code{RP11-18C24} \code{RP1-118J21} \code{RP11-18L17} \code{RP11-190A12} \code{RP11-192B18} \code{RP11-192E23} \code{RP11-192H23} \code{RP11-192H6} \code{RP11-192P23} \code{RP11-193I17} \code{RP11-194C13} \code{RP11-195A20} \code{RP11-195F19} \code{RP11-195L14} \code{RP11-196B15} \code{RP11-196E5} \code{RP11-196N24} \code{RP11-196O16} \code{RP11-196P5} \code{RP11-197I11} \code{RP11-197O4} \code{RP11-197P20} \code{RP11-199A24} \code{RP11-199F11} \code{RP11-19B7} \code{RP11-19C20} \code{RP11-19C6} \code{RP11-19E11} \code{RP11-19F13} \code{RP11-19F16} \code{RP11-19G1} \code{RP11-19J3} \code{RP11-19N21} \code{RP11-1A1} \code{RP11-1C11} \code{RP11-1E1} \code{RP11-1E21} \code{RP11-1G8} \code{RP11-1J11} \code{RP11-1J4} \code{RP11-1K11} \code{RP11-1K22} \code{RP11-1L22} \code{RP11-1P9} \code{RP11-200A13} \code{RP11-200F15} \code{RP11-200H5} \code{RP11-200O17} \code{RP11-201J10} \code{RP11-202G18} \code{RP11-202G24} \code{RP11-202H2} \code{RP11-202H24} \code{RP11-202H3} \code{RP11-202K23} \code{RP11-202L1} \code{RP11-202M19} \code{RP11-203D9} \code{RP11-203L15} \code{RP11-204E9} \code{RP11-204H22} \code{RP11-204H9} \code{RP11-204J18} \code{RP11-204K16} \code{RP11-204L3} \code{RP11-205A6} \code{RP11-205B19} \code{RP11-205I24} \code{RP11-205K6} \code{RP11-205M20} \code{RP11-206C1} \code{RP11-206J21} \code{RP11-206L19} \code{RP11-206M24} \code{RP11-207G14} \code{RP11-207K8} \code{RP11-208F1} \code{RP11-208F13} \code{RP11-208G16} \code{RP11-208G20} \code{RP11-208O6} \code{RP11-209D20} \code{RP11-209H16} \code{RP11-209h21} \code{RP11-209H21} \code{RP11-209I11} \code{RP11-20A14} \code{RP11-20B7} \code{RP11-20E23} \code{RP11-20F20} \code{RP11-20H14} \code{RP11-20K9} \code{RP11-20M7} \code{RP1-120N9} \code{RP11-20O13} \code{RP11-20O22} \code{RP11-20P5} \code{RP11-20P9} \code{RP11-210G22} \code{RP11-210L7} \code{RP11-210N13} \code{RP11-210O14} \code{RP11-211C9} \code{RP11-211G17} \code{RP11-211H6} \code{RP11-211K17} \code{RP11-211N8} \code{RP11-212B1} \code{RP11-212D19} \code{RP11-213G21} \code{RP11-213L8} \code{RP11-214K3} \code{RP11-214M24} \code{RP11-214M7} \code{RP11-214N20} \code{RP11-214N9} \code{RP11-215A20} \code{RP11-215D10} \code{RP11-215E13} \code{RP11-215G15} \code{RP11-215J7} \code{RP11-216N14} \code{RP11-216P6} \code{RP11-217H19} \code{RP11-217N19} \code{RP11-218E6} \code{RP11-218F10} \code{RP11-218I7} \code{RP11-218L14} \code{RP11-218M2} \code{RP11-219A15} \code{RP11-219F10} \code{RP11-21B14} \code{RP11-21B21} \code{RP11-21C17} \code{RP11-21C5} \code{RP11-21D20} \code{RP11-21E8} \code{RP11-21G19} \code{RP11-21H5} \code{RP11-21K12} \code{RP11-21K15} \code{RP11-21K20} \code{RP11-21L17} \code{RP11-21L20} \code{RP11-21M4} \code{RP11-220C23} \code{RP11-220N20} \code{RP11-220O14} \code{RP11-221E20} \code{RP11-221G19} \code{RP11-223L18} \code{RP11-223L24} \code{RP11-224A1} \code{RP11-224D4} \code{RP11-224O19} \code{RP11-226E21} \code{RP11-226E22} \code{RP11-226F19} \code{RP11-226O9} \code{RP11-226P1} \code{RP11-227E22} \code{RP11-227F19} \code{RP11-227F6} \code{RP11-227P3} \code{RP11-228F17} \code{RP11-228F3} \code{RP11-229A12} \code{RP11-229G4} \code{RP11-229K15} \code{RP11-229O3} \code{RP11-22A3} \code{RP11-22C8} \code{RP11-22E12} \code{RP11-22G4} \code{RP1-122K4} \code{RP11-22N19} \code{RP1-122O8} \code{RP11-230B21} \code{RP11-230E14} \code{RP11-231A23} \code{RP11-231C18} \code{RP11-231D20} \code{RP11-231L11} \code{RP11-231P15} \code{RP11-232H4} \code{RP11-232J12} \code{RP11-232K22} \code{RP11-233C13} \code{RP11-233L14} \code{RP11-233O10} \code{RP11-234K24} \code{RP11-234N1} \code{RP11-234O23} \code{RP11-235I1} \code{RP11-235I18} \code{RP11-235L22} \code{RP11-235O20} \code{RP11-236L3} \code{RP11-236O12} \code{RP11-236P11} \code{RP11-237G17} \code{RP11-238A9} \code{RP11-238F2} \code{RP11-238I13} \code{RP11-238P13} \code{RP11-239A17} \code{RP11-239E10} \code{RP11-239F20} \code{RP11-239G19} \code{RP11-239J11} \code{RP11-239J2} \code{RP11-23B15} \code{RP11-23D5} \code{RP11-23F10} \code{RP11-23F11} \code{RP11-23H14} \code{RP11-23J9} \code{RP11-23M2} \code{RP11-23N11} \code{RP11-23N5} \code{RP11-240G5} \code{RP11-240J11} \code{RP11-240L7} \code{RP11-241C9} \code{RP11-241D13} \code{RP11-241j12} \code{RP11-241J12} \code{RP11-241P12} \code{RP11-242B24} \code{RP11-242H9} \code{RP11-242J14} \code{RP11-243A18} \code{RP11-243E12} \code{RP11-243K12} \code{RP11-243K18} \code{RP11-243M7} \code{RP11-243P9} \code{RP11-244E6} \code{RP11-244J10} \code{RP11-245A17} \code{RP11-245B11} \code{RP11-245K4} \code{RP11-245L6} \code{RP11-245N4} \code{RP11-247H16} \code{RP11-248B13} \code{RP11-248J23} \code{RP11-248L3} \code{RP11-249H20} \code{RP11-249J17} \code{RP11-249M12} \code{RP11-24C13} \code{RP11-24C3} \code{RP11-24H13} \code{RP11-24H3} \code{RP11-24I19} \code{RP11-24I3} \code{RP11-24I5} \code{RP11-24N10} \code{RP11-24N19} \code{RP11-24O13} \code{RP11-24O17} \code{RP11-24P18} \code{RP11-250D8} \code{RP11-250G15} \code{RP11-250H22} \code{RP11-250N10} \code{RP11-251C9} \code{RP11-252H14} \code{RP11-252K11} \code{RP11-252O10} \code{RP11-253A20} \code{RP11-253K11} \code{RP11-253L3} \code{RP11-254A5} \code{RP11-254F19} \code{RP11-255E13} \code{RP11-255G12} \code{RP11-255I14} \code{RP11-255M9} \code{RP11-255O19} \code{RP11-255P5} \code{RP11-256B9} \code{RP11-256K9} \code{RP11-256L11} \code{RP11-256L9} \code{RP11-256P1} \code{RP11-257N21} \code{RP11-257P13} \code{RP11-258A5} \code{RP11-258F20} \code{RP11-258N2} \code{RP11-259G7} \code{RP11-259K15} \code{RP11-25B14} \code{RP11-25C10} \code{RP11-25E2} \code{RP11-25F16} \code{RP11-25F7} \code{RP11-25I9} \code{RP11-25J3} \code{RP11-25L3} \code{RP11-25N12} \code{RP11-25O3} \code{RP11-25O6} \code{RP11-25P2} \code{RP11-260A9} \code{RP11-260E18} \code{RP11-260K3} \code{RP11-260K8} \code{RP11-261A24} \code{RP11-261J10} \code{RP11-261M11} \code{RP11-261P5} \code{RP11-262D22} \code{RP11-262M8} \code{RP11-262P8} \code{RP11-262P9} \code{RP11-263C6} \code{RP11-263F19} \code{RP11-263G22} \code{RP11-263I19} \code{RP11-263L17} \code{RP11-263N12} \code{RP11-264d7} \code{RP11-264D7} \code{RP11-264E11} \code{RP11-264E18} \code{RP11-264E20} \code{RP11-264F23} \code{RP11-264H19} \code{RP11-264J11} \code{RP11-264K23} \code{RP11-265B8} \code{RP11-265C7} \code{RP11-266C7} \code{RP11-266D22} \code{RP11-266E6} \code{RP11-266G18} \code{RP11-266L10} \code{RP11-266O8} \code{RP11-267C19} \code{RP11-268E1} \code{RP11-268G12} \code{RP11-268J1} \code{RP11-268O21} \code{RP11-269A14} \code{RP11-269M19} \code{RP11-269M20} \code{RP11-269N18} \code{RP11-269P11} \code{RP11-26A3} \code{RP11-26B2} \code{RP11-26D24} \code{RP11-26H10} \code{RP11-26L18} \code{RP11-26L21} \code{RP11-26L4} \code{RP11-26L7} \code{RP1-126N20} \code{RP11-26O20} \code{RP11-270H4} \code{RP11-270I3} \code{RP11-271I13} \code{RP11-272D12} \code{RP11-272N24} \code{RP11-273L18} \code{RP11-274B18} \code{RP11-274J22} \code{RP11-274M8} \code{RP11-275E20} \code{RP11-275J18} \code{RP11-275K4} \code{RP11-276H1} \code{RP11-276H19} \code{RP11-276J4} \code{RP11-276O18} \code{RP11-277A4} \code{RP11-277C14} \code{RP11-277D17} \code{RP11-277E18} \code{RP11-277K23} \code{RP11-279D17} \code{RP11-279I21} \code{RP11-279K24} \code{RP11-279M2} \code{RP11-279P10} \code{RP11-27C22} \code{RP11-27G13} \code{RP11-27J5} \code{RP11-27J8} \code{RP11-27K13} \code{RP1-127L4} \code{RP11-27M24} \code{RP11-27N21} \code{RP11-27P2} \code{RP11-280K20} \code{RP11-280P22} \code{RP11-281J9} \code{RP11-281O15} \code{RP11-282B13} \code{RP11-282M16} \code{RP11-283C7} \code{RP11-283E7} \code{RP11-283I17} \code{RP11-283I3} \code{RP11-284B18} \code{RP11-284E5} \code{RP11-284N8} \code{RP11-285A1} \code{RP11-285E23} \code{RP11-285F23} \code{RP11-285H23} \code{RP11-285H8} \code{RP11-285K4} \code{RP11-285P21} \code{RP11-285P3} \code{RP11-286E7} \code{RP11-286N22} \code{RP11-286P15} \code{RP11-287A8} \code{RP11-287F9} \code{RP11-287G8} \code{RP11-288C18} \code{RP11-288H12} \code{RP11-288I13} \code{RP11-289A1} \code{RP11-289D12} \code{RP11-289E16} \code{RP11-289G11} \code{RP11-289M23} \code{RP11-28E24} \code{RP11-28F1} \code{RP11-28I2} \code{RP11-28I21} \code{RP11-28L18} \code{RP1-128M19} \code{RP1-128O17} \code{RP11-28O4} \code{RP11-28P24} \code{RP11-28P8} \code{RP11-290I21} \code{RP11-290L7} \code{RP11-291G24} \code{RP11-291N1} \code{RP11-292A20} \code{RP11-292B1} \code{RP11-292F22} \code{RP11-292M11} \code{RP11-292P9} \code{RP11-293B7} \code{RP11-293D9} \code{RP11-294M6} \code{RP11-295A20} \code{RP11-295B8} \code{RP11-295F4} \code{RP11-295G24} \code{RP11-295K3} \code{RP11-296E23} \code{RP11-296E7} \code{RP11-296G16} \code{RP11-296I10} \code{RP11-296N8} \code{RP11-297M9} \code{RP11-297N15} \code{RP11-297N6} \code{RP11-298A10} \code{RP11-298A18} \code{RP11-298C15} \code{RP11-298E18} \code{RP11-298I23} \code{RP11-298I3} \code{RP11-298K24} \code{RP11-298M15} \code{RP11-298P6} \code{RP11-298P9} \code{RP11-299C5} \code{RP11-299G20} \code{RP11-299H21} \code{RP11-299J3} \code{RP11-29A19} \code{RP11-29A2} \code{RP11-29B9} \code{RP11-29E4} \code{RP11-2A4} \code{RP11-2B15} \code{RP11-2B17} \code{RP11-2C24} \code{RP11-2E15} \code{RP11-2E17} \code{RP11-2G22} \code{RP11-2I17} \code{RP11-2I22} \code{RP11-2I8} \code{RP11-2J15} \code{RP11-2K12} \code{RP11-2K17} \code{RP11-2K18} \code{RP11-2L4} \code{RP11-2P5} \code{RP11-300D24} \code{RP11-300J18} \code{RP11-300M24} \code{RP11-301B7} \code{RP11-301H15} \code{RP11-301H24} \code{RP11-301K6} \code{RP11-301L8} \code{RP11-301M17} \code{RP11-301O19} \code{RP11-302B13} \code{RP11-302C22} \code{RP11-302G2} \code{RP11-302L6} \code{RP11-302O8} \code{RP11-303E16} \code{RP11-303I4} \code{RP11-304A10} \code{RP11-304A15} \code{RP11-304D2} \code{RP11-304H10} \code{RP11-304I5} \code{RP11-304L19} \code{RP11-304L20} \code{RP11-305D15} \code{RP11-305L22} \code{RP11-306I1} \code{RP11-306I4} \code{RP11-307A11} \code{RP11-307B23} \code{RP11-307C12} \code{RP11-307P14} \code{RP11-307P22} \code{RP11-308J14} \code{RP11-308L13} \code{RP11-309H15} \code{RP11-309J20} \code{RP11-309N8} \code{RP11-30C22} \code{RP11-30D15} \code{RP1-130E4} \code{RP11-30G4} \code{RP11-30G7} \code{RP11-30H9} \code{RP11-30I11} \code{RP11-30J14} \code{RP11-30J7} \code{RP11-30L4} \code{RP11-30P6} \code{RP11-310D8} \code{RP11-310H18} \code{RP11-310I24} \code{RP11-310K10} \code{RP11-311C24} \code{RP11-311I10} \code{RP11-311K2} \code{RP11-311L3} \code{RP11-312B18} \code{RP11-312C1} \code{RP11-312H1} \code{RP11-313B15} \code{RP11-313C14} \code{RP11-313C15} \code{RP11-313F15} \code{RP11-313P13} \code{RP11-313P15} \code{RP11-313P18} \code{RP11-314A5} \code{RP11-314D6} \code{RP11-314D7} \code{RP11-314J18} \code{RP11-314N13} \code{RP11-314N14} \code{RP11-315I20} \code{RP11-315L6} \code{RP11-315M18} \code{RP11-315O17} \code{RP11-315O6} \code{RP11-315O8} \code{RP11-316A10} \code{RP11-316E14} \code{RP11-316G9} \code{RP11-317A20} \code{RP11-317C13} \code{RP11-318G8} \code{RP11-318K19} \code{RP11-318L4} \code{RP11-319E16} \code{RP11-319L6} \code{RP11-319N5} \code{RP11-319P13} \code{RP11-31F15} \code{RP11-31I23} \code{RP11-31J20} \code{RP11-31L22} \code{RP11-31O11} \code{RP11-320C15} \code{RP11-320E16} \code{RP11-320J20} \code{RP11-320L11} \code{RP11-320N21} \code{RP11-320N7} \code{RP11-321A2} \code{RP11-321B9} \code{RP11-321F6} \code{RP11-322N14} \code{RP11-322N21} \code{RP11-322N7} \code{RP11-323F16} \code{RP11-323F24} \code{RP11-323K10} \code{RP11-323K15} \code{RP11-323N12} \code{RP11-323P17} \code{RP11-324G2} \code{RP11-324H4} \code{RP11-324I10} \code{RP11-324K6} \code{RP11-324L3} \code{RP11-325D15} \code{RP11-325I16} \code{RP11-325K4} \code{RP11-325L12} \code{RP11-325M10} \code{RP11-326A19} \code{RP11-326F20} \code{RP11-326F3} \code{RP11-326G21} \code{RP11-326N15} \code{RP11-326O23} \code{RP11-327H5} \code{RP11-327O2} \code{RP11-327P2} \code{RP11-327P22} \code{RP11-328H16} \code{RP11-328J14} \code{RP11-328K22} \code{RP11-328L16} \code{RP11-328P13} \code{RP11-329A2} \code{RP11-329H24} \code{RP11-329I5} \code{RP11-329J7} \code{RP11-329O10} \code{RP11-32C20} \code{RP11-32D12} \code{RP11-32O4} \code{RP11-330I7} \code{RP11-330M19} \code{RP11-330O19} \code{RP11-331G2} \code{RP11-332E3} \code{RP11-332H18} \code{RP11-332J14} \code{RP11-332O9} \code{RP11-333D23} \code{RP11-333E1} \code{RP11-333E9} \code{RP11-333G13} \code{RP11-333I20} \code{RP11-333I7} \code{RP11-333K19} \code{RP11-333O1} \code{RP11-334H12} \code{RP11-335E8} \code{RP11-335K21} \code{RP11-335O22} \code{RP11-336A10} \code{RP11-336D15} \code{RP11-336N16} \code{RP11-336N6} \code{RP11-336N8} \code{RP11-337F21} \code{RP11-337N19} \code{RP11-338B22} \code{RP11-338F23} \code{RP11-338H14} \code{RP11-338K13} \code{RP11-338K17} \code{RP11-338L11} \code{RP11-338N10} \code{RP11-338O1} \code{RP11-339F13} \code{RP11-339P1} \code{RP11-33E18} \code{RP11-33G16} \code{RP11-33I5} \code{RP11-33K8} \code{RP11-340A13} \code{RP11-340I6} \code{RP11-340L13} \code{RP11-342F21} \code{RP11-342F23} \code{RP11-342G3} \code{RP11-342K10} \code{RP11-342K2} \code{RP11-342L10} \code{RP11-342M1} \code{RP11-342M21} \code{RP11-343C9} \code{RP11-343H10} \code{RP11-343J14} \code{RP11-343N14} \code{RP11-343P21} \code{RP11-343P23} \code{RP11-343P9} \code{RP11-344B7} \code{RP11-344L6} \code{RP11-345J13} \code{RP11-345K20} \code{RP11-345K9} \code{RP11-345O2} \code{RP11-346K2} \code{RP11-346L24} \code{RP11-347D21} \code{RP11-347H8} \code{RP11-348A21} \code{RP11-348I14} \code{RP11-348J12} \code{RP11-348J6} \code{RP11-349C2} \code{RP11-349D24} \code{RP11-349I16} \code{RP11-349P19} \code{RP11-34G16} \code{RP11-34J15} \code{RP11-34L4} \code{RP11-34M16} \code{RP11-34N19} \code{RP11-34O18} \code{RP11-350B7} \code{RP11-350F16} \code{RP11-350G2} \code{RP11-350H23} \code{RP11-350K6} \code{RP11-350N15} \code{RP11-351D2} \code{RP11-351E7} \code{RP11-351J23} \code{RP11-351K3} \code{RP11-351N6} \code{RP11-352D15} \code{RP11-352E12} \code{RP11-352F21} \code{RP11-352J11} \code{RP11-353B9} \code{RP11-353C18} \code{RP11-353D5} \code{RP11-353N19} \code{RP11-354C17} \code{RP11-354H17} \code{RP11-354H2} \code{RP11-354K1} \code{RP11-354N7} \code{RP11-355D13} \code{RP11-355F22} \code{RP11-355H10} \code{RP11-355I13} \code{RP11-355K3} \code{RP11-355L4} \code{RP11-356B18} \code{RP11-356D23} \code{RP11-356F24} \code{RP11-356O9} \code{RP11-357A18} \code{RP11-357H24} \code{RP11-357N13} \code{RP11-358A10} \code{RP11-358M3} \code{RP11-359A17} \code{RP11-359b12} \code{RP11-359B12} \code{RP11-359E7} \code{RP11-359H18} \code{RP11-359H3} \code{RP11-359J14} \code{RP11-359P14} \code{RP11-35A5} \code{RP11-35B20} \code{RP11-35D5} \code{RP11-35D6} \code{RP11-35G9} \code{RP11-35P15} \code{RP11-35P16} \code{RP11-360A18} \code{RP11-360O19} \code{RP11-361B11} \code{RP11-361D15} \code{RP11-361H10} \code{RP11-361K8} \code{RP11-361M10} \code{RP11-362A1} \code{RP11-362A9} \code{RP11-362F19} \code{RP11-362J17} \code{RP11-362K14} \code{RP11-362K18} \code{RP11-362L2} \code{RP11-363D14} \code{RP11-363G3} \code{RP11-363K21} \code{RP11-363L24} \code{RP11-364C6} \code{RP11-364E8} \code{RP11-364G22} \code{RP11-364L4} \code{RP11-364P2} \code{RP11-365F16} \code{RP11-365H22} \code{RP11-365J7} \code{RP11-365N19} \code{RP11-366G13} \code{RP11-366K1} \code{RP11-366K18} \code{RP11-366L18} \code{RP11-366L20} \code{RP11-367H5} \code{RP11-368A17} \code{RP11-368K8} \code{RP11-368N21} \code{RP11-368O18} \code{RP11-368P1} \code{RP11-36B15} \code{RP11-36B6} \code{RP11-36H20} \code{RP1-136J15} \code{RP11-36J15} \code{RP1-136N16} \code{RP11-370A2} \code{RP11-370K2} \code{RP11-370P15} \code{RP11-371E8} \code{RP11-371N6} \code{RP11-371O16} \code{RP11-372A6} \code{RP11-372K20} \code{RP11-373D23} \code{RP11-373G23} \code{RP11-373J21} \code{RP11-373J8} \code{RP11-373L22} \code{RP11-373L24} \code{RP11-373N18} \code{RP11-374E21} \code{RP11-374M7} \code{RP11-374N8} \code{RP11-375D9} \code{RP11-375H24} \code{RP11-376H15} \code{RP11-376M2} \code{RP11-376O14} \code{RP11-377G16} \code{RP11-378A13} \code{RP11-378B23} \code{RP11-379J13} \code{RP11-379L21} \code{RP11-379P15} \code{RP1-137D17} \code{RP11-37E19} \code{RP11-37E23} \code{RP1-137K24} \code{RP11-37M11} \code{RP11-37M16} \code{RP11-37P5} \code{RP11-380C8} \code{RP11-380D11} \code{RP11-380D23} \code{RP11-380G10} \code{RP11-380G21} \code{RP11-380G5} \code{RP11-381K7} \code{RP11-381N20} \code{RP11-382A18} \code{RP11-382A21} \code{RP11-382H18} \code{RP11-382L10} \code{RP11-383B4} \code{RP11-383C19} \code{RP11-383D22} \code{RP11-383F6} \code{RP11-383H17} \code{RP11-384A20} \code{RP11-384A24} \code{RP11-384C21} \code{RP11-384D10} \code{RP11-384G23} \code{RP11-384P18} \code{RP11-384P5} \code{RP11-385D13} \code{RP11-385L2} \code{RP11-385M4} \code{RP11-386H19} \code{RP11-386L3} \code{RP11-386N14} \code{RP11-387C17} \code{RP11-387H19} \code{RP11-388D4} \code{RP11-388E20} \code{RP11-388F14} \code{RP11-388G12} \code{RP11-388K12} \code{RP11-388M20} \code{RP11-388M7} \code{RP11-388N2} \code{RP11-388N6} \code{RP11-389F18} \code{RP11-389J22} \code{RP11-389K20} \code{RP11-38B21} \code{RP1-138B7} \code{RP11-38C1} \code{RP11-38C17} \code{RP11-38E12} \code{RP1-138G16} \code{RP11-38H6} \code{RP1-138O23} \code{RP11-38P6} \code{RP11-390C19} \code{RP11-390F17} \code{RP11-390O24} \code{RP11-390P24} \code{RP11-391B7} \code{RP11-391H5} \code{RP11-391P1} \code{RP11-392H18} \code{RP11-392K14} \code{RP11-392O1} \code{RP11-392O17} \code{RP11-392P1} \code{RP11-393H6} \code{RP11-393K10} \code{RP11-394B2} \code{RP11-394C19} \code{RP11-394D6} \code{RP11-394G8} \code{RP11-394J19} \code{RP11-394L10} \code{RP11-394O4} \code{RP11-395B14} \code{RP11-395E19} \code{RP11-395F21} \code{RP11-395I14} \code{RP11-396D4} \code{RP11-396I22} \code{RP11-396J8} \code{RP11-396M20} \code{RP11-396N11} \code{RP11-397A16} \code{RP11-397D12} \code{RP11-397D2} \code{RP11-397E9} \code{RP11-397K17} \code{RP11-398J5} \code{RP11-398N17} \code{RP11-399B15} \code{RP11-399H11} \code{RP11-399J13} \code{RP11-399K21} \code{RP11-399M5} \code{RP11-399O19} \code{RP11-39B14} \code{RP11-39D15} \code{RP11-3B11} \code{RP11-3B7} \code{RP1-13D10} \code{RP11-3D19} \code{RP11-3D4} \code{RP11-3F11} \code{RP11-3H15} \code{RP11-3I22} \code{RP11-3J1} \code{RP11-3J10} \code{RP11-3J21} \code{RP11-3K16} \code{RP11-3N13} \code{RP11-3N16} \code{RP11-3O20} \code{RP11-3P22} \code{RP11-3P4} \code{RP11-400A24} \code{RP11-400D2} \code{RP11-400F15} \code{RP11-400O18} \code{RP11-400P10} \code{RP11-401F24} \code{RP11-401G5} \code{RP11-401N18} \code{RP11-401O9} \code{RP11-402B2} \code{RP11-402F5} \code{RP11-402H20} \code{RP11-402J6} \code{RP11-402J7} \code{RP11-403E9} \code{RP11-404G1} \code{RP11-404H1} \code{RP11-404K23} \code{RP11-404P12} \code{RP11-405A15} \code{RP11-405F3} \code{RP11-406A18} \code{RP11-406A9} \code{RP11-406E22} \code{RP11-406G20} \code{RP11-406H4} \code{RP11-407E23} \code{RP11-408A13} \code{RP11-408C8} \code{RP11-408F10} \code{RP11-408L13} \code{RP11-409J21} \code{RP11-409K15} \code{RP11-40A8} \code{RP11-40C6} \code{RP11-40E6} \code{RP11-40F6} \code{RP11-40M23} \code{RP11-410A13} \code{RP11-410B16} \code{RP11-410N8} \code{RP11-410P24} \code{RP11-411B10} \code{RP11-411P18} \code{RP11-412A2} \code{RP11-412F21} \code{RP11-412L4} \code{RP11-413D24} \code{RP11-413E1} \code{RP11-413I9} \code{RP11-413M10} \code{RP11-413M18} \code{RP11-413P11} \code{RP11-414C23} \code{RP11-414D7} \code{RP11-414I19} \code{RP11-414I8} \code{RP11-414J4} \code{RP11-414L17} \code{RP11-415C15} \code{RP11-415D21} \code{RP11-415K6} \code{RP11-415L23} \code{RP11-415M14} \code{RP11-416A5} \code{RP11-416F22} \code{RP11-416K7} \code{RP11-416O18} \code{RP11-417A4} \code{RP11-417B4} \code{RP11-417N10} \code{RP11-417P24} \code{RP11-418J17} \code{RP11-418M8} \code{RP11-418N20} \code{RP11-418P19} \code{RP11-419C10} \code{RP11-419E14} \code{RP11-419E3} \code{RP11-419F8} \code{RP11-419H23} \code{RP11-419I14} \code{RP11-419J16} \code{RP11-419L20} \code{RP11-419P8} \code{RP11-41A3} \code{RP11-41P8} \code{RP11-420H19} \code{RP11-420J11} \code{RP11-420L4} \code{RP11-420M12} \code{RP11-421A17} \code{RP11-421F9} \code{RP11-421J10} \code{RP11-421K1} \code{RP11-421K11} \code{RP11-421L21} \code{RP11-422A16} \code{RP11-422B1} \code{RP11-422E4} \code{RP11-422N19} \code{RP11-422P24} \code{RP11-423F9} \code{RP11-423O13} \code{RP11-423P14} \code{RP11-424E21} \code{RP11-424K7} \code{RP11-424L2} \code{RP11-424O11} \code{RP11-425A23} \code{RP11-425A6} \code{RP11-425D17} \code{RP11-425D6} \code{RP11-425F6} \code{RP11-425J20} \code{RP11-426E5} \code{RP11-426H24} \code{RP11-426J23} \code{RP11-427B20} \code{RP11-427F22} \code{RP11-427L15} \code{RP11-428B4} \code{RP11-428D12} \code{RP11-428N21} \code{RP11-429D3} \code{RP11-429K17} \code{RP11-429L21} \code{RP1-142L7} \code{RP11-430C7} \code{RP11-430E17} \code{RP11-430G13} \code{RP11-430G6} \code{RP11-430H7} \code{RP11-430K23} \code{RP11-430L3} \code{RP11-431J24} \code{RP11-431O22} \code{RP11-432A10} \code{RP11-432I13} \code{RP11-432I21} \code{RP11-432I22} \code{RP11-432M2} \code{RP11-433J8} \code{RP11-433L7} \code{RP11-433N10} \code{RP11-433O22} \code{RP11-433P17} \code{RP11-434B12} \code{RP11-434B7} \code{RP11-434F12} \code{RP11-434P11} \code{RP11-435E3} \code{RP11-435N12} \code{RP11-435O22} \code{RP11-435O5} \code{RP11-436E24} \code{RP11-436F9} \code{RP11-436I5} \code{RP11-436I9} \code{RP11-436K12} \code{RP11-436O19} \code{RP11-437F6} \code{RP11-437L22} \code{RP11-438E5} \code{RP11-438G15} \code{RP11-438H8} \code{RP11-438J1} \code{RP11-438K19} \code{RP11-438N16} \code{RP11-438N5} \code{RP11-438P8} \code{RP11-438P9} \code{RP11-439A18} \code{RP11-439F4} \code{RP11-439M9} \code{RP11-440G2} \code{RP11-440G5} \code{RP11-440L13} \code{RP11-440P12} \code{RP11-440P5} \code{RP11-441O12} \code{RP11-442C9} \code{RP11-442I9} \code{RP11-442J21} \code{RP11-443I10} \code{RP11-443I3} \code{RP11-444B24} \code{RP11-444B5} \code{RP11-445C21} \code{RP11-445F12} \code{RP11-445K1} \code{RP11-445L6} \code{RP11-445O1} \code{RP11-445O16} \code{RP11-446C5} \code{RP11-446E9} \code{RP11-446F13} \code{RP11-446H10} \code{RP11-446J19} \code{RP11-446J8} \code{RP11-446P9} \code{RP11-447A21} \code{RP11-447E20} \code{RP11-447J13} \code{RP11-448D5} \code{RP11-44A1} \code{RP11-44B21} \code{RP11-44C2} \code{RP1-144C9} \code{RP11-44F24} \code{RP11-44H8} \code{RP11-44J2} \code{RP11-44J9} \code{RP11-44K6} \code{RP11-44L18} \code{RP11-44L20} \code{RP11-44M22} \code{RP1-144M5} \code{RP11-44M6} \code{RP11-44P19} \code{RP11-450E24} \code{RP11-450O3} \code{RP11-451C2} \code{RP11-451E16} \code{RP11-451F20} \code{RP11-451G1} \code{RP11-451H11} \code{RP11-452C13} \code{RP11-452G23} \code{RP11-455I9} \code{RP11-455J20} \code{RP11-457D20} \code{RP11-457E6} \code{RP11-457F14} \code{RP11-457P23} \code{RP11-458F8} \code{RP11-458J7} \code{RP11-458O14} \code{RP11-45A1} \code{RP11-45A17} \code{RP11-45C5} \code{RP11-45D17} \code{RP11-45D20} \code{RP11-45F23} \code{RP11-45I24} \code{RP11-45K10} \code{RP11-45K3} \code{RP11-45M12} \code{RP11-460M2} \code{RP11-460N10} \code{RP11-462G12} \code{RP11-462G2} \code{RP11-463B12} \code{RP11-463C5} \code{RP11-463C8} \code{RP11-463D17} \code{RP11-463J10} \code{RP11-463M14} \code{RP11-463P17} \code{RP11-464I4} \code{RP11-465I24} \code{RP11-466I1} \code{RP11-466I16} \code{RP11-467F22} \code{RP11-467H10} \code{RP11-467J12} \code{RP11-467L24} \code{RP11-467O15} \code{RP11-467P9} \code{RP11-468C2} \code{RP11-468E2} \code{RP11-468N14} \code{RP11-469A15} \code{RP11-469E19} \code{RP11-469G19} \code{RP11-469N6} \code{RP11-46A10} \code{RP11-46C20} \code{RP11-46D1} \code{RP11-46D24} \code{RP11-46D5} \code{RP11-46G17} \code{RP11-46H11} \code{RP11-46O3} \code{RP11-470J18} \code{RP11-470J20} \code{RP11-470J24} \code{RP11-471L13} \code{RP11-472K18} \code{RP11-472K20} \code{RP11-472M19} \code{RP11-472N13} \code{RP11-473A17} \code{RP11-474K4} \code{RP11-474M18} \code{RP11-474N8} \code{RP11-475I24} \code{RP11-477J21} \code{RP11-477P16} \code{RP11-478B20} \code{RP11-478H12} \code{RP11-478H13} \code{RP11-478H3} \code{RP11-478I15} \code{RP11-478K18} \code{RP11-478M13} \code{RP11-478O20} \code{RP11-478P5} \code{RP11-479F13} \code{RP11-479G22} \code{RP11-479L11} \code{RP11-479O9} \code{RP11-47G2} \code{RP11-47I22} \code{RP11-47L18} \code{RP11-47L3} \code{RP11-47O13} \code{RP11-480B17} \code{RP11-480H11} \code{RP11-480I12} \code{RP11-480K16} \code{RP11-481C4} \code{RP11-481E16} \code{RP11-481E24} \code{RP11-481F23} \code{RP11-481J13} \code{RP11-481J2} \code{RP11-481K13} \code{RP11-481K9} \code{RP11-482L11} \code{RP11-483E17} \code{RP11-483M24} \code{RP11-483P21} \code{RP11-484D18} \code{RP11-484F16} \code{RP11-484I19} \code{RP11-484N16} \code{RP11-484P7} \code{RP11-485A5} \code{RP11-485O10} \code{RP11-485O17} \code{RP11-486C18} \code{RP11-486O13} \code{RP11-486P11} \code{RP11-488L1} \code{RP11-489A11} \code{RP11-489K4} \code{RP11-489O1} \code{RP11-489P1} \code{RP11-48B3} \code{RP11-48C14} \code{RP11-48D4} \code{RP11-48E16} \code{RP11-48F15} \code{RP11-48K7} \code{RP11-48L13} \code{RP11-48M17} \code{RP11-48O9} \code{RP11-490C5} \code{RP11-490H9} \code{RP11-490M17} \code{RP11-490O6} \code{RP11-491D6} \code{RP11-491K7} \code{RP11-492C2} \code{RP11-492I23} \code{RP11-492K2} \code{RP11-492L14} \code{RP11-492P7} \code{RP11-493L12} \code{RP11-494C5} \code{RP11-494J4} \code{RP11-494N20} \code{RP11-494O6} \code{RP11-494P23} \code{RP11-495B16} \code{RP11-495B4} \code{RP11-495D4} \code{RP11-495H13} \code{RP11-495K20} \code{RP11-495K9} \code{RP11-495L19} \code{RP11-496I9} \code{RP11-497D24} \code{RP11-497G19} \code{RP11-498P15} \code{RP11-499F3} \code{RP11-49B5} \code{RP11-49I4} \code{RP11-49M9} \code{RP11-4B7} \code{RP11-4C17} \code{RP11-4D24} \code{RP11-4F22} \code{RP11-4F24} \code{RP11-4K11} \code{RP11-4N23} \code{RP11-4N9} \code{RP11-500A9} \code{RP11-500K7} \code{RP11-500M22} \code{RP11-501E14} \code{RP11-501E21} \code{RP11-501I18} \code{RP11-501O2} \code{RP11-502A23} \code{RP11-502G22} \code{RP11-502N13} \code{RP11-502P1} \code{RP11-502P9} \code{RP11-503E24} \code{RP11-503K16} \code{RP11-503L19} \code{RP11-503L23} \code{RP11-504G11} \code{RP11-504G3} \code{RP11-504G5} \code{RP11-504H3} \code{RP11-504I1} \code{RP11-505D17} \code{RP11-505G12} \code{RP11-505K1} \code{RP11-505N10} \code{RP11-506B4} \code{RP11-506C8} \code{RP11-506D12} \code{RP11-506F8} \code{RP11-506G7} \code{RP11-506H20} \code{RP11-506K19} \code{RP11-506M12} \code{RP11-506M9} \code{RP11-506N21} \code{RP11-507B10} \code{RP11-507C18} \code{RP11-507K2} \code{RP11-508L23} \code{RP11-509A1} \code{RP11-509D8} \code{RP11-509F14} \code{RP11-509J21} \code{RP11-50C13} \code{RP11-50H7} \code{RP11-50I19} \code{RP11-50L23} \code{RP11-510B7} \code{RP11-510C1} \code{RP11-510D4} \code{RP11-510I5} \code{RP11-510K16} \code{RP11-510K8} \code{RP11-510P12} \code{RP11-511M9} \code{RP11-511P7} \code{RP11-512E16} \code{RP11-512I16} \code{RP11-512I24} \code{RP11-512O7} \code{RP11-513M16} \code{RP11-513N16} \code{RP11-513O19} \code{RP11-514D23} \code{RP11-514J23} \code{RP11-515C16} \code{RP11-515O17} \code{RP11-516C4} \code{RP11-516G5} \code{RP11-517B11} \code{RP11-518F7} \code{RP11-518I12} \code{RP11-518I8} \code{RP11-519A11} \code{RP11-519G16} \code{RP11-519H15} \code{RP11-51B23} \code{RP11-51B9} \code{RP11-51K12} \code{RP11-51M18} \code{RP11-520G3} \code{RP11-520K18} \code{RP11-521I20} \code{RP11-521J5} \code{RP11-521L15} \code{RP11-522D14} \code{RP11-522N18} \code{RP11-522N9} \code{RP11-523D2} \code{RP11-523L20} \code{RP11-524A17} \code{RP11-524F1} \code{RP11-524F11} \code{RP11-524H19} \code{RP11-524O15} \code{RP11-525C11} \code{RP11-525J21} \code{RP11-525L23} \code{RP11-525O22} \code{RP11-526D16} \code{RP11-526D2} \code{RP11-526I8} \code{RP11-526K24} \code{RP11-526N18} \code{RP11-526P7} \code{RP11-527D15} \code{RP11-527H14} \code{RP11-527M19} \code{RP11-528D17} \code{RP11-529A21} \code{RP11-529I10} \code{RP11-529P14} \code{RP11-529P9} \code{RP11-52C8} \code{RP11-52F10} \code{RP11-52L5} \code{RP11-530J6} \code{RP11-530M23} \code{RP11-531F16} \code{RP11-532F12} \code{RP11-532F4} \code{RP11-532M24} \code{RP11-533D19} \code{RP11-533H15} \code{RP11-533L22} \code{RP11-533L7} \code{RP11-533N14} \code{RP11-533O20} \code{RP11-533P8} \code{RP11-534H15} \code{RP11-534I8} \code{RP11-534J17} \code{RP11-534L20} \code{RP11-534N5} \code{RP11-535A19} \code{RP11-535A5} \code{RP11-535B12} \code{RP11-535E19} \code{RP11-535P8} \code{RP11-536K17} \code{RP11-538A16} \code{RP11-538B23} \code{RP11-538C21} \code{RP11-538D15} \code{RP11-538D16} \code{RP11-538D20} \code{RP11-538P16} \code{RP11-539A6} \code{RP1-153G14} \code{RP11-53L13} \code{RP11-53M11} \code{RP11-540E17} \code{RP11-540E4} \code{RP11-540H22} \code{RP11-540I12} \code{RP11-540N15} \code{RP11-541F16} \code{RP11-541G9} \code{RP11-541L7} \code{RP11-541M12} \code{RP11-542B5} \code{RP11-542D13} \code{RP11-542I3} \code{RP11-543C4} \code{RP11-543P15} \code{RP11-544H16} \code{RP11-544I20} \code{RP11-545E17} \code{RP11-545G16} \code{RP11-545I5} \code{RP11-546M8} \code{RP11-546O15} \code{RP11-547C13} \code{RP11-547F10} \code{RP11-547G15} \code{RP11-547P13} \code{RP11-548B6} \code{RP11-548F5} \code{RP11-548L8} \code{RP11-549B18} \code{RP11-549D18} \code{RP11-549E9} \code{RP11-549H5} \code{RP11-54F22} \code{RP1-154G14} \code{RP11-54I20} \code{RP11-550M19} \code{RP11-550P23} \code{RP11-551B22} \code{RP11-551D18} \code{RP11-551O2} \code{RP11-552A14} \code{RP11-552E1} \code{RP11-552M6} \code{RP11-553E4} \code{RP11-553E5} \code{RP11-553N16} \code{RP11-554A11} \code{RP11-554F14} \code{RP11-554O1} \code{RP11-554O14} \code{RP11-555F9} \code{RP11-555L17} \code{RP11-556E13} \code{RP11-556F3} \code{RP11-556H2} \code{RP11-556N21} \code{RP11-557H15} \code{RP11-557N21} \code{RP11-558P14} \code{RP11-559D11} \code{RP11-559M6} \code{RP11-55C6} \code{RP1-155G6} \code{RP1-155L11} \code{RP11-55L3} \code{RP11-560C24} \code{RP11-560C7} \code{RP11-560F8} \code{RP11-560I19} \code{RP11-561B11} \code{RP11-561E1} \code{RP11-561O4} \code{RP11-562E17} \code{RP11-562H1} \code{RP11-563B11} \code{RP11-563H8} \code{RP11-563I16} \code{RP11-563P16} \code{RP11-564A8} \code{RP11-564G9} \code{RP11-564N10} \code{RP11-565F4} \code{RP11-565I3} \code{RP11-565J15} \code{RP11-565J3} \code{RP11-565O12} \code{RP11-566J10} \code{RP11-566K1} \code{RP11-566O4} \code{RP11-567A12} \code{RP11-567J20} \code{RP11-567L7} \code{RP11-567M21} \code{RP11-567N4} \code{RP11-567O16} \code{RP11-568N6} \code{RP11-569A20} \code{RP11-569M1} \code{RP11-569N5} \code{RP11-569P10} \code{RP11-56C4} \code{RP11-56D20} \code{RP11-56G10} \code{RP11-56H2} \code{RP11-56j3} \code{RP11-56J3} \code{RP11-56K21} \code{RP11-56P22} \code{RP11-570D4} \code{RP11-570F6} \code{RP11-570N16} \code{RP11-571M6} \code{RP11-571N13} \code{RP11-571N3} \code{RP11-572A16} \code{RP11-572C15} \code{RP11-572N15} \code{RP11-572O17} \code{RP11-574M5} \code{RP11-574P20} \code{RP11-575G1} \code{RP11-575G10} \code{RP11-575G13} \code{RP11-576G22} \code{RP11-576I16} \code{RP11-576P23} \code{RP11-579A4} \code{RP11-57A22} \code{RP11-57C19} \code{RP11-57I6} \code{RP11-589N15} \code{RP11-58C3} \code{RP11-58C7} \code{RP11-58D2} \code{RP11-58E21} \code{RP11-58G13} \code{RP11-58H17} \code{RP11-58K22} \code{RP11-58O1} \code{RP11-58O15} \code{RP11-58O9} \code{RP11-593A16} \code{RP11-596L14} \code{RP11-598K3} \code{RP1-159A19} \code{RP1-159G19} \code{RP11-59H1} \code{RP11-59I16} \code{RP11-59J16} \code{RP11-59L15} \code{RP11-59L22} \code{RP11-59M22} \code{RP11-59P4} \code{RP11-5G18} \code{RP11-5J4} \code{RP11-5K23} \code{RP11-5L1} \code{RP11-5M9} \code{RP11-5N16} \code{RP11-5N18} \code{RP11-5O9} \code{RP11-5P15} \code{RP11-5P4} \code{RP1-160B9} \code{RP11-60C8} \code{RP11-60K23} \code{RP11-60N3} \code{RP11-619F23} \code{RP11-61F4} \code{RP11-61G19} \code{RP11-61J14} \code{RP11-626G11} \code{RP11-62B7} \code{RP11-62D23} \code{RP1-162E17} \code{RP11-62E9} \code{RP11-62H20} \code{RP11-62L18} \code{RP11-62M21} \code{RP11-62N12} \code{RP11-62P16} \code{RP11-630H9} \code{RP11-631F7} \code{RP11-632L2} \code{RP11-63M2} \code{RP11-63M22} \code{RP11-64B12} \code{RP11-64I2} \code{RP11-64J19} \code{RP11-64K10} \code{RP11-64K12} \code{RP1-164K3} \code{RP11-64M20} \code{RP11-64O13} \code{RP11-65A5} \code{RP11-65B23} \code{RP11-65G20} \code{RP11-65J14} \code{RP11-65L3} \code{RP11-667P13} \code{RP11-66D1} \code{RP11-66E7} \code{RP11-66G8} \code{RP11-66M18} \code{RP11-66M7} \code{RP11-66O21} \code{RP11-67F24} \code{RP1-167G20} \code{RP11-67I10} \code{RP11-67K11} \code{RP11-67K19} \code{RP11-67L17} \code{RP11-67N21} \code{RP1-167O22} \code{RP1-167P23} \code{RP11-682A21} \code{RP11-685G11} \code{RP11-685N10} \code{RP11-68H18} \code{RP11-68I8} \code{RP11-68J15} \code{RP11-692C10} \code{RP11-699H2} \code{RP1-169I5} \code{RP11-69K20} \code{RP11-69O1} \code{RP11-69O3} \code{RP11-69O6} \code{RP11-6C14} \code{RP11-6F2} \code{RP11-6K5} \code{RP11-6L15} \code{RP11-704L16} \code{RP11-707G18} \code{RP11-70A1} \code{RP11-70A24} \code{RP11-70E3} \code{RP11-70L16} \code{RP11-71A24} \code{RP11-71D4} \code{RP1-171F15} \code{RP11-71F18} \code{RP11-71F23} \code{RP11-71G7} \code{RP11-71H17} \code{RP11-71J24} \code{RP11-71N3} \code{RP11-721G11} \code{RP11-725G5} \code{RP11-725J15} \code{RP11-729C24} \code{RP11-729G3} \code{RP1-172B20} \code{RP11-72C9} \code{RP11-72L22} \code{RP11-72M5} \code{RP11-730A19} \code{RP11-738E22} \code{RP11-739N20} \code{RP11-73F12} \code{RP11-73I6} \code{RP11-73M18} \code{RP11-744K17} \code{RP11-748M14} \code{RP11-74A12} \code{RP11-74E23} \code{RP11-74H8} \code{RP11-74K11} \code{RP11-750P5} \code{RP11-757F24} \code{RP11-75C23} \code{RP11-75N20} \code{RP11-75P13} \code{RP11-760M1} \code{RP11-765c10} \code{RP11-765C10} \code{RP11-767J14} \code{RP11-767L7} \code{RP11-76E12} \code{RP11-76E22} \code{RP11-76H6} \code{RP11-76K19} \code{RP11-778O10} \code{RP11-77A13} \code{RP11-77I22} \code{RP11-77K12} \code{RP11-77N9} \code{RP11-78A19} \code{RP11-78H18} \code{RP11-78M2} \code{RP11-78O10} \code{RP11-78O7} \code{RP11-79C12} \code{RP1-179D3} \code{RP11-79E3} \code{RP11-79F7} \code{RP11-79I23} \code{RP11-79J20} \code{RP1-179P12} \code{RP11-7H13} \code{RP11-7H7} \code{RP11-7I16} \code{RP11-7M4} \code{RP11-7O2} \code{RP11-7O20} \code{RP11-804L21} \code{RP11-809L8} \code{RP11-809M12} \code{RP11-80B9} \code{RP11-80D24} \code{RP11-80H12} \code{RP11-80H18} \code{RP11-80H5} \code{RP11-80O7} \code{RP11-80p20} \code{RP11-816J6} \code{RP11-816P15} \code{RP11-81E19} \code{RP11-81K2} \code{RP1-181N1} \code{RP11-81p15} \code{RP11-81P15} \code{RP11-82O18} \code{RP11-83E23} \code{RP11-83J16} \code{RP11-83J21} \code{RP11-83M8} \code{RP11-83N9} \code{RP11-84A19} \code{RP11-84C10} \code{RP11-84C16} \code{RP11-84G18} \code{RP11-84G22} \code{RP11-84H6} \code{RP1-184J9} \code{RP11-86C13} \code{RP1-186K10} \code{RP11-86O17} \code{RP11-86O4} \code{RP11-87C12} \code{RP11-87F15} \code{RP11-87G1} \code{RP11-87G24} \code{RP11-87N22} \code{RP11-87P13} \code{RP11-87P4} \code{RP11-88B8} \code{RP11-88D10} \code{RP11-88H10} \code{RP11-88H9} \code{RP11-88I7} \code{RP11-88K4} \code{RP11-88M9} \code{RP11-88N8} \code{RP11-88P6} \code{RP11-89A16} \code{RP11-89C12} \code{RP11-89D4} \code{RP11-89E16} \code{RP11-89f17} \code{RP11-89F17} \code{RP11-89F18} \code{RP11-89H15} \code{RP11-89H19} \code{RP11-89K22} \code{RP11-89N17} \code{RP11-8A1} \code{RP11-8B23} \code{RP11-8D23} \code{RP11-8H2} \code{RP11-8J9} \code{RP11-8N6} \code{RP11-8P11} \code{RP11-8P6} \code{RP11-90B9} \code{RP11-90E5} \code{RP11-90H3} \code{RP11-90J19} \code{RP11-90J7} \code{RP11-90K17} \code{RP11-90N16} \code{RP11-91B3} \code{RP11-91E8} \code{RP11-91J3} \code{RP11-91K8} \code{RP11-91K9} \code{RP11-91N19} \code{RP11-91O5} \code{RP11-92C4} \code{RP11-92G19} \code{RP11-92H22} \code{RP11-92H8} \code{RP11-92L12} \code{RP11-92M7} \code{RP11-93E4} \code{RP11-93I21} \code{RP11-93M11} \code{RP11-93N14} \code{RP11-943H6} \code{RP11-948G15} \code{RP11-94A14} \code{RP11-94C24} \code{RP11-94d19} \code{RP11-94D19} \code{RP11-94E2} \code{RP11-94L15} \code{RP11-94P14} \code{RP11-95A10} \code{RP11-95C14} \code{RP11-95E11} \code{RP11-95E2} \code{RP11-95G17} \code{RP11-95G6} \code{RP11-95J15} \code{RP11-95M15} \code{RP11-95M17} \code{RP11-95N14} \code{RP11-96B2} \code{RP1-196E23} \code{RP11-96H16} \code{RP11-96L7} \code{RP11-96N16} \code{RP11-96P3} \code{RP11-97A19} \code{RP11-97C16} \code{RP11-97L2} \code{RP11-98D18} \code{RP11-98D3} \code{RP11-98F1} \code{RP11-98I12} \code{RP11-98I9} \code{RP1-198M21} \code{RP11-98N22} \code{RP11-98O13} \code{RP11-98O2} \code{RP11-99A1} \code{RP11-99C10} \code{RP11-99J16} \code{RP11-99L13} \code{RP1-199L16} \code{RP11-99M10} \code{RP11-99O17} \code{RP11-9A1} \code{RP11-9A4} \code{RP11-9B17} \code{RP11-9B6} \code{RP11-9N20} \code{RP11-9O10} \code{RP1-20J23} \code{RP1-215F16} \code{RP1-225D2} \code{RP1-230I3} \code{RP1-232K4} \code{RP1-232N11} \code{RP1-234M6} \code{RP1-234P15} \code{RP1-236L2} \code{RP1-23D17} \code{RP1-241C15} \code{RP1-244F1} \code{RP1-244J5} \code{RP1-245P17} \code{RP1-247F3} \code{RP1-249F5} \code{RP1-249K20} \code{RP1-251M9} \code{RP1-252K6} \code{RP1-255P7} \code{RP1-257A15} \code{RP1-257A7} \code{RP1-261P5} \code{RP1-265B9} \code{RP1-265C24} \code{RP1-267D11} \code{RP1-273N12} \code{RP1-276A6} \code{RP1-278E11} \code{RP1-27C22} \code{RP1-27J12} \code{RP1-283K11} \code{RP1-289H18} \code{RP1-292F10} \code{RP1-297M16} \code{RP1-29A6} \code{RP1-29G21} \code{RP1-305I20} \code{RP1-308O1} \code{RP1-309F20} \code{RP1-310O13} \code{RP1-312P4} \code{RP13-130F17} \code{RP13-152O15} \code{RP13-166C10} \code{RP1-316D7} \code{RP13-188A5} \code{RP1-318C15} \code{RP1-31B8} \code{RP13-238F13} \code{RP13-260P4} \code{RP1-32B1} \code{RP13-34C21} \code{RP13-34G21} \code{RP13-355A21} \code{RP13-379L11} \code{RP13-404M3} \code{RP13-445N5} \code{RP13-46M24} \code{RP1-34B20} \code{RP1-34F7} \code{RP1-37C10} \code{RP1-37J18} \code{RP1-40C9} \code{RP1-42M2} \code{RP1-46B1} \code{RP1-46F2} \code{RP1-50A12} \code{RP1-54B20} \code{RP1-61C2} \code{RP1-61F10} \code{RP1-62O9} \code{RP1-64G16} \code{RP1-64M18} \code{RP1-66H9} \code{RP1-66P19} \code{RP1-68D18} \code{RP1-71D21} \code{RP1-73A14} \code{RP1-75H8} \code{RP1-77O19} \code{RP1-80K22} \code{RP1-84N20} \code{RP1-85F18} \code{RP1-85M6} \code{RP1-86A18} \code{RP1-86C11} \code{RP1-87H18} \code{RP1-90K10} \code{RP1-93D11} \code{RP1-93I3} \code{RP1-93L7} \code{RP1-94G16} \code{RP1-97G4} \code{RP1-97P20} \code{RP1-98O22} \code{RP3-323A24} \code{RP3-323B6} \code{RP3-323K23} \code{RP3-324B8} \code{RP3-324C6} \code{RP3-324O17} \code{RP3-329H16} \code{RP3-336G18} \code{RP3-336H9} \code{RP3-336K20} \code{RP3-337O18} \code{RP3-341D10} \code{RP3-341E18} \code{RP3-345B16} \code{RP3-348M17} \code{RP3-349A12} \code{RP3-350J21} \code{RP3-353E16} \code{RP3-355C18} \code{RP3-360E18} \code{RP3-363I18} \code{RP3-365E2} \code{RP3-365O12} \code{RP3-366M24} \code{RP3-368G6} \code{RP3-380C13} \code{RP3-388M5} \code{RP3-393D12} \code{RP3-394F12} \code{RP3-394H4} \code{RP3-398C22} \code{RP3-398I9} \code{RP3-402H5} \code{RP3-404F18} \code{RP3-405J10} \code{RP3-412I7} \code{RP3-416J11} \code{RP3-417E16} \code{RP3-421I20} \code{RP3-422B11} \code{RP3-428A13} \code{RP3-429G5} \code{RP3-431A14} \code{RP3-432E18} \code{RP3-433G13} \code{RP3-437I16} \code{RP3-437M21} \code{RP3-438L4} \code{RP3-441A12} \code{RP3-442A17} \code{RP3-442L6} \code{RP3-443C4} \code{RP3-443N8} \code{RP3-444C7} \code{RP3-448K1} \code{RP3-449G2} \code{RP3-449M8} \code{RP3-454N4} \code{RP3-460G2} \code{RP3-461F17} \code{RP3-463A9} \code{RP3-465G10} \code{RP3-466A11} \code{RP3-467F14} \code{RP3-468B3} \code{RP3-469A13} \code{RP3-470B24} \code{RP3-470L14} \code{RP3-471D13} \code{RP3-472A9} \code{RP3-473J16} \code{RP3-475J3} \code{RP3-491L6} \code{RP3-502L6} \code{RP3-510D11} \code{RP3-510L9} \code{RP3-514A23} \code{RP3-515N1} \code{RP4-530I15} \code{RP4-534D1} \code{RP4-537F10} \code{RP4-539L13} \code{RP4-539M6} \code{RP4-540O3} \code{RP4-542G16} \code{RP4-542O23} \code{RP4-544D10} \code{RP4-545K15} \code{RP4-546K19} \code{RP4-547N15} \code{RP4-548D19} \code{RP4-548K24} \code{RP4-549L20} \code{RP4-550A13} \code{RP4-552K20} \code{RP4-557A17} \code{RP4-558L10} \code{RP4-560M15} \code{RP4-561P1} \code{RP4-562A11} \code{RP4-563E14} \code{RP4-572A3} \code{RP4-575L21} \code{RP4-583H20} \code{RP4-592P18} \code{RP4-593A12} \code{RP4-595A18} \code{RP4-596O9} \code{RP4-597G12} \code{RP4-599I11} \code{RP4-600E6} \code{RP4-604G5} \code{RP4-604P14} \code{RP4-605G11} \code{RP4-607I7} \code{RP4-607J2} \code{RP4-610L12} \code{RP4-612B15} \code{RP4-613B23} \code{RP4-621B10} \code{RP4-625H18} \code{RP4-633N17} \code{RP4-633O20} \code{RP4-635E18} \code{RP4-635O5} \code{RP4-636F13} \code{RP4-639D23} \code{RP4-647J21} \code{RP4-650P9} \code{RP4-653E17} \code{RP4-657J8} \code{RP4-662N3} \code{RP4-662P1} \code{RP4-663N10} \code{RP4-665J23} \code{RP4-668G5} \code{RP4-669K10} \code{RP4-672O11} \code{RP4-679K16} \code{RP4-684F13} \code{RP4-685A2} \code{RP4-686C3} \code{RP4-689N3} \code{RP4-700A9} \code{RP4-710M16} \code{RP4-715N11} \code{RP4-716B13} \code{RP4-718N17} \code{RP4-721B17} \code{RP4-722L13} \code{RP4-724E16} \code{RP4-725G10} \code{RP4-726A1} \code{RP4-731G4} \code{RP4-733B9} \code{RP4-733O23} \code{RP4-736H5} \code{RP4-739H11} \code{RP4-741H3} \code{RP4-742J24} \code{RP4-745E8} \code{RP4-745K6} \code{RP4-756H11} \code{RP4-759M20} \code{RP4-764O12} \code{RP4-764O22} \code{RP4-770C6} \code{RP4-771P4} \code{RP4-781A18} \code{RP4-783C10} \code{RP4-784G16} \code{RP4-785P20} \code{RP4-787H6} \code{RP4-788L20} \code{RP4-791K14} \code{RP4-796I11} \code{RP4-799G3} \code{RP4-799O8} \code{RP4-800G7} \code{RP4-808O4} \code{RP4-810E6} \code{RP4-811H12} \code{RP4-811H13} \code{RP4-815D20} \code{RP4-816G1} \code{RP5-1000E10} \code{RP5-1005L2} \code{RP5-1006B11} \code{RP5-1013G21} \code{RP5-1015O24} \code{RP5-1025A1} \code{RP5-1026E2} \code{RP5-1028D15} \code{RP5-1030A12} \code{RP5-1031P17} \code{RP5-1032B10} \code{RP5-1033H22} \code{RP5-1033K19} \code{RP5-1043G4} \code{RP5-1043H15} \code{RP5-1043L3} \code{RP5-1050D4} \code{RP5-1057I20} \code{RP5-1057M1} \code{RP5-1059M17} \code{RP5-1067M6} \code{RP5-1070D5} \code{RP5-1075G21} \code{RP5-1077I5} \code{RP5-1077K16} \code{RP5-1078A23} \code{RP5-1083G3} \code{RP5-1084H12} \code{RP5-1085F17} \code{RP5-1087L19} \code{RP5-1090M5} \code{RP5-1091E12} \code{RP5-1093O17} \code{RP5-1096D14} \code{RP5-1098O20} \code{RP5-1099C19} \code{RP5-1107C24} \code{RP5-1109K10} \code{RP5-1110E20} \code{RP5-1112D6} \code{RP5-1112G21} \code{RP5-1118A7} \code{RP5-1129A6} \code{RP5-1137F22} \code{RP5-1140M3} \code{RP5-1143H19} \code{RP5-1145A22} \code{RP5-1147O16} \code{RP5-1153D9} \code{RP5-1156N12} \code{RP5-1158E12} \code{RP5-1162C3} \code{RP5-1164F5} \code{RP5-1167H4} \code{RP5-1169K15} \code{RP5-1173P7} \code{RP5-1179L24} \code{RP5-1185N5} \code{RP5-819O4} \code{RP5-820B18} \code{RP5-822J19} \code{RP5-827E24} \code{RP5-831G13} \code{RP5-833B2} \code{RP5-836L9} \code{RP5-837J1} \code{RP5-843B9} \code{RP5-852M4} \code{RP5-855F16} \code{RP5-857M17} \code{RP5-859D17} \code{RP5-859H16} \code{RP5-866N18} \code{RP5-874H1} \code{RP5-875H18} \code{RP5-875J14} \code{RP5-879N19} \code{RP5-881A21} \code{RP5-884C9} \code{RP5-892C22} \code{RP5-892M9} \code{RP5-893G23} \code{RP5-894A10} \code{RP5-902E20} \code{RP5-905H7} \code{RP5-905M6} \code{RP5-905N1} \code{RP5-906A24} \code{RP5-914P14} \code{RP5-916A15} \code{RP5-916L7} \code{RP5-925J7} \code{RP5-936P19} \code{RP5-937E21} \code{RP5-944F13} \code{RP5-959C21} \code{RP5-960D23} \code{RP5-963M5} \code{RP5-965E19} \code{RP5-966K21} \code{RP5-966M1} \code{RP5-971F3} \code{RP5-973M2} \code{RP5-979N1} \code{RP5-982E9} \code{RP5-986F12} \code{RP5-991G20} \code{RP5-991O23} \code{RP5-994O24} \code{RP5-998H4} \code{RP5-999D10} \code{RP6-109P7} \code{RP6-155F9} \code{RP6-198C21} \code{RP6-1O2} \code{RP6-224C24} \code{RP6-22D12} \code{RP6-22P16} \code{RP6-27C10} \code{RP6-98A24} \code{XX-461k10} \code{XX-91c} \code{XX-bac32} \code{XXbac-677f7} \code{XX-p8708}}
    \item{\code{chrom}}{a numeric vector}
    \item{\code{Genomic.position}}{a numeric vector}
    \item{\code{Start}}{a numeric vector}
    \item{\code{End}}{a numeric vector}
    \item{\code{BAC.size}}{a numeric vector}
    \item{\code{maploc}}{a numeric vector}
    \item{\code{shrunken.centroid.sporadic}}{a numeric vector}
    \item{\code{shrunken.centroid.BRCA1.like}}{a numeric vector}
    \item{\code{si}}{a numeric vector}
    \item{\code{s0}}{a numeric vector}
    \item{\code{priors}}{a numeric vector}
  }
}
\details{
Order: print order
Clone: BAC clone
chrom: hg18 chromosome
Genomic.position: hg18 genomic position
Start: hg18 chromosomal start position of the BAC clone
End: hg18 chromosomal end position of the BAC clone
BAC.size: size of the BAC clone
maploc: chromosomal midposition of the BAC clone
shrunken.centroid.sporadic: centroid of the non-BRCA1-like class
shrunken.centroid.BRCA1.like: centroid of the BRCA1-like class
si: si in the shrunken centroids formula
s0: s0 in the shrunken centroids formula.
priors: prior probability in the shrunken centroids classifier.
}
\source{
Vollebergh et al, Ann Oncol 2011.
}
\references{
Vollebergh et al, Ann Oncol 2011.
}
\examples{
head(b1.371.ct)
}
\keyword{datasets}
